/*============================================================================
 *      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
 *      Copyright (c) $Date: 94/07/15 13:16:45 $ - All rights reserved.
 *
 *      No part of this document may be reproduced in any form
 *      without the express written consent of MODICON, Inc.
 *
 *=fdoc=======================================================================
 *
 * File:       This header file contains the NETBIOS Modbus PLUS 
 *					library prototypes.
 *
 * Notes:       
 *
 * Author:      
 *
 * RCS:
 * $Revision: 1.2 $
 * $State: R3_41 $
 * $Locker: $
 *
 * Revision History Log:
 *
 *=fdoc=====================================================================*/

#ifndef _NETLIB_H
#define _NETLIB_H

#ifdef __cplusplus
    extern "C" {
#endif

int far  ncb_reset(int adaptno);
int far  ncb_sa85off(int adaptno);
int far  ncb_status(NCB  far *ncbp,int adaptno);
int far  ncb_send(NCB  far *ncbp, int length, char  far *buffer, unsigned char timeout);
int far  ncb_receive_wait(NCB  far *ncbp, char  far *buffer, unsigned char timeout);
NCB  far * far  ncb_open(char  far *name, int lan);
int far  ncb_receive(NCB  far *ncbp, char  far *buffer);
int far  ncb_close(NCB  far *ncbp);
int far  ncb_send_datagram(NCB  far *ncbp, int length, char  far *buffer, unsigned char timeout, int adaptno);
int far  ncb_receive_datagram(NCB  far *ncbp, int node, char  far *buffer, unsigned char timeout, int adaptno);
int far  ncb_cancel(NCB  far *ncbp);
int far  ncb_set_slave_login(NCB  far *ncbp, unsigned char login_status);
int far  ncb_set_sw_interrupt (int swInterrupt);
void  exec_netbios(NCB  far *ncbstruct);


#ifndef SW_INTERRUPT
#define SW_INTERRUPT        0x5c /* actual SW interrupt used by NETBIOS */
#endif

#ifdef __cplusplus
    }
#endif

#endif                      /* _NETLIB_H */
