#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 17:31:42 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        mbplus.mak
#*
#* Description:
#*		This is the Borland 3.1 makefile used to create the Windows
#*		NETBIOS Dynamic Link Library.
#*
#* Notes:       x
#*
#* Author:      x
#*
#* RCSID:
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*=fdoc=====================================================================*/

.AUTODEPEND

#		*Translator Definitions*
#OPTIONS = -ml -2 -WD -vi- -wpar
OPTIONS = -ml -2 -WD -wpar      
#TLINK_OPT = /v/m/c/P-/C/Twd
TLINK_OPT = /m/c/P-/C/Twd
INCLUDE = ..\mbphinc
CC = bcc $(OPTIONS) -I$(INCLUDE)
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*

EXE_dependencies =  \
 mbplus.mak \
 mbplus.def \
 libmain.obj \
 mbplus.obj

#		*Explicit Rules*
mbplus.dll:  $(EXE_dependencies)
  $(TLINK) $(TLINK_OPT) @&&|
c0dl.obj+
libmain.obj+
mbplus.obj
mbplus.dll,mbplus
mathwl.lib+
import.lib+
cwl.lib
mbplus.def
|
  RC  mbplus.dll
  IMPLIB MBPLUS.LIB MBPLUS.DLL

#		*Individual File Dependencies*
libmain.obj:  libmain.c mbplus.mak
	$(CC)  -D_WINDLL -D_WINDOWS -c libmain.c

mbplus.obj:  netlib.c mbplus.mak
	$(CC) -D_WINDLL -D_WINDOWS -ombplus -c netlib.c



