#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 17:29:41 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        netlib.mak
#*
#* Description:
#*		This is the Borland 3.1 makefile used to create the DOS 
#*		NETBIOS static library.
#*
#* Notes:       x
#*
#* Author:      x
#*
#* RCSID:
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*=fdoc=====================================================================*/

#
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#DEBUG_COMPILE = -v
#
options = -ml -Oait -w-par -a- -N  /I..\mbphinc -c $(DEBUG_COMPILE)

netlib.lib:	netlib.obj desqv.obj win3api.obj
        tlib netlib -+netlib -+desqv -+win3api

netlib.obj:    netlib.c	netlib.mak
        bcc $(options) netlib.c

desqv.obj:    desqv.asm
   tasm /W2 /ml /DTASM  desqv,desqv;

win3api.obj:    win3api.asm
   tasm /W2 /ml /DTASM win3api,win3api;

