#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 19:01:37 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        mbpcheck.mak
#*
#* Notes:       This makefile creates the program "MBPCHECK.EXE" for 
#*		determining if any Modbus Plus host adapters are present 
#*		and active.
#*
#* Author:      x
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*   NAME	DATE		COMMENT
#*   -----	-----		--------
#*=fdoc=====================================================================*/

#
#MSC 5.1
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#
#BC 3.1

DEBUG_COMPILE = -v
DEBUG_LINK = /v

options = -ml -Oait -w-par -a- -N -I..\mbphinc -c $(DEBUG_COMPILE)
 

mbpcheck.exe:   mbpcheck.obj ..\netlib\netlib.lib
        tlink -c -m $(DEBUG_LINK) c0l.obj+mbpcheck,mbpcheck.exe,,..\netlib\netlib cl

mbpcheck.obj:    mbpcheck.c mbpcheck.mak
        bcc $(options) mbpcheck.c




