#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 19:06:12 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        sa85off.mak
#*
#* Notes:       This makefile creates the program SA85OFF.EXE which disables 
#* 		the SA85 device driver specified until a board reset is 
#*		issued (see BDRESET program)
#*
#* Author:      x
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*   NAME	DATE		COMMENT
#*   -----	-----		--------
#*=fdoc=====================================================================*/

#
#MSC 5.1
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#
#BC 3.1

DEBUG_COMPILE = -v
DEBUG_LINK = /v

options = -ml -Oait -w-par -a- -N -I..\mbphinc -c $(DEBUG_COMPILE)
 

sa85off.exe:   sa85off.obj ..\netlib\netlib.lib
        tlink -c -m $(DEBUG_LINK) c0l.obj+sa85off,sa85off.exe,,..\netlib\netlib cl

sa85off.obj:    sa85off.c sa85off.mak
        bcc $(options) sa85off.c
