#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 19:04:21 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        test4c.mak
#*
#* Notes:       This makefile creates the program "TEST4C.EXE" for testing the Modbus Plus
#*		Device Driver, and is meant to be used in conjuction 
#*		with the TESTSLAV program.
#*
#* Author:      x
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*   NAME	DATE		COMMENT
#*   -----	-----		--------
#*=fdoc=====================================================================*/

#
#MSC 5.1
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#
#BC 3.1

DEBUG_COMPILE = -v
DEBUG_LINK = /v

options = -ml -Oait -w-par -a- -N -I..\mbphinc -c $(DEBUG_COMPILE)
 

test4c.exe:   test4c.obj ..\netlib\netlib.lib
        tlink -c -m $(DEBUG_LINK) c0l.obj+/m test4c,test4c.exe,,..\netlib\netlib cl

test4c.obj:    test4c.c test4c.mak
        bcc $(options) test4c.c

