/*============================================================================
 *      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
 *      Copyright (c) 1989, 1990 - All rights reserved.
 *
 *      No part of this document may be reproduced in any form
 *      without the express written consent of MODICON, Inc.
 *
 *=fdoc=======================================================================
 *
 * File:        dpmi.h
 *
 * Notes:       
 *
 * Author:      pmurphy
 *
 * RCS:
 * $Revision: 1.2 $
 * $Date: 94/05/02 17:28:21 $
 * $State: R3_41 $
 * $Locker: $
 *
 * Revision History Log:
 *
 * Revision 1.1  1990/12/07  09:56:15  pmurphy
 * Initial revision
 *
 *=fdoc=====================================================================*/

typedef struct {		/* DMPI Translate structure */
unsigned long EDI;		/* (E)DI register for real mode call */
unsigned long ESI;		/* (E)SI register for real mode call */
unsigned long EBP;		/* (E)BP register for real mode call */
unsigned long reserved;		/* Reserver of DPMI handler user */
unsigned long EBX;		/* (E)BX register for real mode call */
unsigned long EDX;		/* (E)DX register for real mode call */
unsigned long ECX;		/* (E)CX register for real mode call */
unsigned long EAX;		/* (E)AX register for real mode call */
unsigned Flags;			/* Flags register for real mode call */
unsigned ES;			/* ES register for real mode call */
unsigned DS;			/* DS register for real mode call */
unsigned FS;			/* FS register for real mode call */
unsigned GS;			/* GS register for real mode call */
unsigned IP;			/* IP register for real mode call */
unsigned CS;			/* CS register for real mode call */
unsigned SP;			/* SP register for real mode call */
unsigned SS;			/* SS register for real mode call */
} DPMIXLATSTRUCT;

typedef DPMIXLATSTRUCT FAR *LPDPMIXLATSTRUCT; /* Far pointer to translate
						 structure */

int DpmiSimulateInt(BYTE bInterrupt, BYTE bFlags, LPDPMIXLATSTRUCT lpRegs);
