#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 19:05:41 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        bdreset.mak
#*
#* Notes:       This makefile creates the program "BDRESET" for resetting the
#* 		SA85 board and driver.
#*
#* Author:      
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*   NAME	DATE		COMMENT
#*   -----	-----		--------
#*=fdoc=====================================================================*/

#
#MSC 5.1
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#
#BC 3.1

DEBUG_COMPILE = -v
DEBUG_LINK = /v

options = -ml -Oait -w-par -a- -N -I..\mbphinc -c $(DEBUG_COMPILE)
 

bdreset.exe:   bdreset.obj ..\netlib\netlib.lib
        tlink -c -m $(DEBUG_LINK) c0l.obj+bdreset,bdreset.exe,,..\netlib\netlib cl

bdreset.obj:    bdreset.c bdreset.mak
        bcc $(options) bdreset.c
