/*============================================================================
 *      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
 *      Copyright (c) $Date: 94/05/02 15:21:03 $ - All rights reserved.
 *
 *      No part of this document may be reproduced in any form
 *      without the express written consent of MODICON, Inc.
 *
 *=fdoc=======================================================================
 *
 * File:        globtest.c
 *
 * Functions:
 * Name                 Description
 * -------------------- -----------
 *	main						Sends repeated send datagram commands to the MB+ card.
 *
 * Notes:       
 *
 * Author:      
 *
 * RCSID:
 *
 * RCS:
 * $Revision: 1.1 $
 * $State: R3_41 $
 * $Locker: $
 *
 * Revision History Log:
 *
 *
 *=fdoc=====================================================================*/

#include <stdio.h>
#include <dos.h>
#include <process.h>
#include <string.h>
#include <conio.h>
#include <signal.h>
#include "netbios.h"
#include "netlib.h"


/*
**	global variables
*/
char mbuffer[ 256 ];
NCB netblock;

/*=doc========================================================================
 *
 * Function:    main
 *
 * Description: 	Sends buffers of glabal data to adapter #0 until a key is
 *						hit.
 *
 * Returns:     None
 *
 * Parameters:  None
 *
 * Notes:       
 *
 * Revision History Log:
 *
 *	NAME					DATE			COMMENT
 *	-----					-----			--------
 *=doc======================================================================*/

void main()
{
    int i,j;

    j = 0;


    while( !kbhit() ) {
        for( i = 0; i < 32; i++ )
            mbuffer[ i ] = (char)(i + j);
        printf( "sending datagram\n");
        i = ncb_send_datagram( &netblock, j, mbuffer, 100, 0 ); /* to adapter #0 */
        j++;
        if( j > 32 )
            j = 0;
        printf( "return code was %d\n",i);
    }
}





