#*============================================================================
#*      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
#*      Copyright (c) $Date: 94/05/02 19:02:47 $ - All rights reserved.
#*
#*      No part of this document may be reproduced in any form
#*      without the express written consent of MODICON, Inc.
#*
#*=fdoc=======================================================================
#*
#* File:        readnet.mak
#*
#* Notes:       This makefile creates the program "READNET.EXE" for 
# 		determining Modbus Plus network configurations.
#*
#* Author:      x
#*
#* RCS:
#* $Revision: 1.1 $
#* $State: R3_41 $
#* $Locker: $
#*
#* Revision History Log:
#*
#*   NAME	DATE		COMMENT
#*   -----	-----		--------
#*=fdoc=====================================================================*/

#
#MSC 5.1
#options = /AL /Zp1 /Gs /W3 /DLINT_ARGS /c /Oait
#
#BC 3.1

DEBUG_COMPILE = -v
DEBUG_LINK = /v

options = -ml -Oait -w-par -a- -N -I..\mbphinc -c $(DEBUG_COMPILE)
 

readnet.exe:   readnet.obj ..\netlib\netlib.lib
        tlink -c -m $(DEBUG_LINK) c0l.obj+readnet,readnet.exe,,..\netlib\netlib cl

readnet.obj:    readnet.c readnet.mak
        bcc $(options) readnet.c



